Get Balances
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"user_id": "67960e40-0b5a-465d-8d78-610d7eff2785",
"symbol": "COPM",
"network": "POLYGON",
"visible_balance": "292.09000000",
"total_operations": 6,
"last_operation_date": "2026-07-03T23:04:44.356476"
},
{
"user_id": "ed0e63ed-de0a-4db7-8048-3648090d21d2",
"symbol": "COPM",
"network": "POLYGON",
"visible_balance": "0E-8",
"total_operations": 3,
"last_operation_date": "2026-07-03T23:04:44.448332"
}
],
"total": 2,
"page": 1,
"page_size": 10,
"order_by": null,
"order_dir": "asc"
}Custody
Get Balances
Retrieves the current balance of a custody wallet managed by Kravata for a specific user. This endpoint allows you to check the available funds in a given wallet for monitoring, reporting, or transactional purposes.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token that authenticates the request. |
Response
Upon a successful request, the server will respond with the following details:
| Field | Description |
|---|---|
| balance | The current balance of the wallet in the specified token. |
| symbol | The token associated with the wallet, indicating which digital asset the balance refers to. |
GET
/
api
/
v1
/
admin
/
balances
Get Balances
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/admin/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/admin/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"user_id": "67960e40-0b5a-465d-8d78-610d7eff2785",
"symbol": "COPM",
"network": "POLYGON",
"visible_balance": "292.09000000",
"total_operations": 6,
"last_operation_date": "2026-07-03T23:04:44.356476"
},
{
"user_id": "ed0e63ed-de0a-4db7-8048-3648090d21d2",
"symbol": "COPM",
"network": "POLYGON",
"visible_balance": "0E-8",
"total_operations": 3,
"last_operation_date": "2026-07-03T23:04:44.448332"
}
],
"total": 2,
"page": 1,
"page_size": 10,
"order_by": null,
"order_dir": "asc"
}
